#### Linux From Scratch - Version r13.0-6

### Chapter 8. Installing Basic System Software

- Prev

  E2fsprogs-1.47.4

- Next

  SysVinit-3.14

- Up
- Home

# 8.83. Sysklogd-2.7.2

The Sysklogd package contains programs for logging system messages, such as those emitted by the kernel when unusual things happen.

Approximate build time: less than 0.1 SBU
Required disk space: 3.9 MB

## 8.83.1. Installation of Sysklogd

Prepare the package for compilation:

    ./configure --prefix=/usr      \
                --sysconfdir=/etc  \
                --runstatedir=/run \
                --without-logger   \
                --disable-static   \
                --docdir=/usr/share/doc/sysklogd-2.7.2

Compile the package:

    make

This package does not come with a test suite.

Install the package:

    make install

## 8.83.2. Configuring Sysklogd

Create a new `/etc/syslog.conf` file by running the following:

    cat > /etc/syslog.conf << "EOF"
    # Begin /etc/syslog.conf

    auth,authpriv.* -/var/log/auth.log
    *.*;auth,authpriv.none -/var/log/sys.log
    daemon.* -/var/log/daemon.log
    kern.* -/var/log/kern.log
    mail.* -/var/log/mail.log
    user.* -/var/log/user.log
    *.emerg *

    # Do not open any internet ports.
    secure_mode 2

    # End /etc/syslog.conf
    EOF

## 8.83.3. Contents of Sysklogd

Installed program: syslogd

### Short Descriptions

syslogd | Logs the messages that system programs offer for logging [Every logged message contains at least a date stamp and a hostname, and normally the program's name too, but that depends on how trusting the logging daemon is told to be.]

- Prev

  E2fsprogs-1.47.4

- Next

  SysVinit-3.14

- Up
- Home